// naumann@stce.rwth-aachen.de

#pragma once

#include "config.h"

/// linear regression by normal equation method
template<typename T>
T linear_regression(VT<T> drdp, VT<T> yobs) {
  // conditions
  assert(drdp.size()==nobs);
  assert(drdp.size()==yobs.size());
  // normal equation
  return drdp.dot(yobs)/drdp.dot(drdp);
}
